<?php
/**
* Wizard
* @package Whizzie
* @since 1.0.0
*/

class Whizzie {
	protected $version = '1.1.0';
	protected $theme_name = '';
	protected $theme_title = '';
	protected $page_slug = '';
	protected $page_title = '';
	protected $config_steps = array();
	public $parent_slug;
	
	/**
	 * Constructor
	 * @param $config Configuration parameters
	 */
	public function __construct( $config ) {
		$this->set_vars( $config );
		$this->init();
	}

	/**
	 * Set variables based on configuration
	 * @param $config Configuration parameters
	 */
	public function set_vars( $config ) {
		if ( isset( $config['page_slug'] ) ) {
			$this->page_slug = esc_attr( $config['page_slug'] );
		}
		if ( isset( $config['page_title'] ) ) {
			$this->page_title = esc_attr( $config['page_title'] );
		}
		if ( isset( $config['steps'] ) ) {
			$this->config_steps = $config['steps'];
		}

		$current_theme = wp_get_theme();
		$this->theme_title = $current_theme->get( 'Name' );
		$this->theme_name = strtolower( preg_replace( '#[^a-zA-Z]#', '', $current_theme->get( 'Name' ) ) );
		$this->page_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_page_slug', $this->theme_name . '-wizard' );
		$this->parent_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_parent_slug', '' );
	}

	/*** Initialize hooks and actions ***/
	public function init() {
		add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
		add_action( 'admin_menu', array( $this, 'menu_page' ) );
		add_action( 'wp_ajax_setup_widgets', array( $this, 'setup_widgets' ) );
	}
	
	public function enqueue_scripts() {
		wp_enqueue_style( 'theme-wizard-style', get_template_directory_uri() . '/theme-wizard/assets/css/theme-wizard-style.css');
		wp_register_script( 'theme-wizard-script', get_template_directory_uri() . '/theme-wizard/assets/js/theme-wizard-script.js', array( 'jquery' ));
		wp_localize_script(
			'theme-wizard-script',
			'cleaning_services_agent_whizzie_params',
			array(
				'ajaxurl' => admin_url( 'admin-ajax.php' ),
				'verify_text' => esc_html( 'verifying', 'cleaning-services-agent' )
			)
		);
		wp_enqueue_script( 'theme-wizard-script' );
	}

	public function menu_page() {
		add_theme_page( esc_html( $this->page_title ), esc_html( $this->page_title ), 'manage_options', $this->page_slug, array( $this, 'cleaning_services_agent_setup_wizard' ) );
	}

	/*** Display the wizard page content ***/
	public function wizard_page() { ?>
		<div class="main-wrap">
			<div class="card whizzie-wrap">
				<ul class="whizzie-menu">
					<?php foreach ( $this->get_steps() as $step ) : ?>
						<li data-step="<?php echo esc_attr( $step['id'] ); ?>" class="step step-<?php echo esc_attr( $step['id'] ); ?>">

							<h2><?php echo esc_html( $step['title'] ); ?></h2>

							<?php
							$content = call_user_func( array( $this, $step['view'] ) );
							?>

							<?php if ( isset( $content['summary'] ) ) : ?>
								<div class="summary">
									<?php echo wp_kses_post( $content['summary'] ); ?>
								</div>
							<?php endif; ?>

							<?php if ( isset( $content['detail'] ) ) : ?>
								<p>
									<a href="#" class="more-info">
										<?php esc_html_e( 'More Info', 'cleaning-services-agent' ); ?>
									</a>
								</p>
								<div class="detail">
									<?php echo wp_kses_post( $content['detail'] ); ?>
								</div>
							<?php endif; ?>

							<?php if ( ! empty( $step['button_text'] ) ) : ?>
								<div class="button-wrap">

									<?php if ( ! get_option( 'is-demo-imported' ) ) : ?>

										<a href="#"
										class="button button-primary do-it"
										data-callback="<?php echo esc_attr( $step['callback'] ); ?>"
										data-step="<?php echo esc_attr( $step['id'] ); ?>">
											<?php echo esc_html( $step['button_text'] ); ?>
										</a>

									<?php else : ?>

										<a target="_blank"
										href="<?php echo esc_url( home_url() ); ?>"
										class="button button-primary"
										style="font-size:20px;font-weight:600;">
											<?php esc_html_e( 'Visit Site', 'cleaning-services-agent' ); ?>
										</a>

									<?php endif; ?>

								</div>
							<?php endif; ?>

						</li>
					<?php endforeach; ?>
				</ul>
				<div class="step-loading">
					<span class="spinner"></span>
				</div>
			</div>
		</div>
	<?php }

	/*** Setup wizard page content and options ***/
	public function cleaning_services_agent_setup_wizard() { ?>
		<div class="wrapper-info get-stared-page-wrap">
			<div class="tab-sec theme-option-tab">
				<div id="demo_offer" class="tabcontent">
					<?php $this->wizard_page(); ?>
				</div>
			</div>
		</div>
	<?php }

	/**
	 * Get the steps for the wizard
	 * @return array
	 */
	public function get_steps() {
		$steps = array(
			'intro' => array(
				'id' => 'intro',
				'title' => __( 'Welcome to ', 'cleaning-services-agent' ) . $this->theme_title,
				'view' => 'get_step_intro',
				'callback' => 'do_next_step',
				'button_text' => __( 'Start Now', 'cleaning-services-agent' ),
				'can_skip' => false
			),
			'widgets' => array(
				'id' => 'widgets',
				'title' => __( 'Demo Importer', 'cleaning-services-agent' ),
				'view' => 'get_step_widgets',
				'callback' => 'install_widgets',
				'button_text' => __( 'Import Demo', 'cleaning-services-agent' ),
				'can_skip' => true
			),
			'done' => array(
				'id' => 'done',
				'title' => __( 'All Done', 'cleaning-services-agent' ),
				'view' => 'get_step_done'
			)
		);

		return $steps;
	}

	/*** Display the content for the intro step ***/
	public function get_step_intro() { ?>
		<div class="summary">
			<p style="text-align: center;"><?php esc_html_e( 'Thank you for choosing our theme! We are excited to help you get started with your new website.', 'cleaning-services-agent' ); ?></p>
			<p style="text-align: center;"><?php esc_html_e( 'This section will guide you through setting up and customizing the theme. You can follow the steps to import demo content or adjust settings at any time to make the website look and work the way you want.', 'cleaning-services-agent' ); ?></p>
		</div>
	<?php }

	/*** Display the content for the widgets step ***/
	public function get_step_widgets() { ?>
		<div class="summary">
			<p><?php esc_html_e('To get started, use the button below to import demo content and add widgets to your site. After installation, you can manage settings and customize your site using the Customizer. Enjoy your new theme!', 'cleaning-services-agent'); ?></p>
		</div>
	<?php }

	/*** Display the content for the final step ***/
	public function get_step_done() { ?>
		<div id="aster-demo-setup-guid">
			<div class="aster-setup-menu">
				<h3><?php esc_html_e('Setup Navigation Menu','cleaning-services-agent'); ?></h3>
				<p><?php esc_html_e('Follow the following Steps to Setup Menu','cleaning-services-agent'); ?></p>
				<h4><?php esc_html_e('A) Create Pages','cleaning-services-agent'); ?></h4>
				<ol>
					<li><?php esc_html_e('Go to Dashboard >> Pages >> Add New','cleaning-services-agent'); ?></li>
					<li><?php esc_html_e('Enter Page Details And Save Changes','cleaning-services-agent'); ?></li>
				</ol>
				<h4><?php esc_html_e('B) Add Pages To Menu','cleaning-services-agent'); ?></h4>
				<ol>
					<li><?php esc_html_e('Go to Dashboard >> Appearance >> Menu','cleaning-services-agent'); ?></li>
					<li><?php esc_html_e('Click On The Create Menu Option','cleaning-services-agent'); ?></li>
					<li><?php esc_html_e('Select The Pages And Click On The Add to Menu Button','cleaning-services-agent'); ?></li>
					<li><?php esc_html_e('Select Primary Menu From The Menu Setting','cleaning-services-agent'); ?></li>
					<li><?php esc_html_e('Click On The Save Menu Button','cleaning-services-agent'); ?></li>
				</ol>
			</div>
			<div class="aster-setup-widget">
				<h3><?php esc_html_e('Setup Footer Widgets','cleaning-services-agent'); ?></h3>
				<p><?php esc_html_e('Follow the following Steps to Setup Footer Widgets','cleaning-services-agent'); ?></p>
				<ol>
					<li><?php esc_html_e('Go to Dashboard >> Appearance >> Widgets','cleaning-services-agent'); ?></li>
					<li><?php esc_html_e('Drag And Add The Widgets In The Footer Columns','cleaning-services-agent'); ?></li>
				</ol>
			</div>
			<div style="display:flex; flex-wrap: wrap; justify-content: center; margin-top: 20px; gap:20px">
				<div class="aster-setup-finish">
					<a target="_blank" href="<?php echo esc_url(home_url()); ?>" class="button button-primary">Visit Site</a>
				</div>
				<div class="aster-setup-finish">
					<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>" class="button button-primary">Customize Your Demo</a>
				</div>
				<div class="aster-setup-finish">
					<a target="_blank" href="<?php echo esc_url( admin_url('themes.php?page=cleaning-services-agent-getting-started') ); ?>" class="button button-primary">Dashboard</a>
				</div>
			</div>
		</div>
	<?php }


	//                      ------------- MENUS -----------------                    //

	public function cleaning_services_agent_customizer_primary_menu(){
		$cleaning_services_agent_themename = 'Main Menu';
		$cleaning_services_agent_menuname = $cleaning_services_agent_themename . ' Primary Menu';
		$cleaning_services_agent_bpmenulocation = 'primary';
		$cleaning_services_agent_menu_exists = wp_get_nav_menu_object($cleaning_services_agent_menuname);
	
		if( !$cleaning_services_agent_menu_exists ) {
			$cleaning_services_agent_menu_id = wp_create_nav_menu($cleaning_services_agent_menuname);
	
			// Home
			wp_update_nav_menu_item($cleaning_services_agent_menu_id, 0, array(
				'menu-item-title' => __('Home', 'cleaning-services-agent'),
				'menu-item-classes' => 'home',
				'menu-item-url' => home_url('/'),
				'menu-item-status' => 'publish'
			));
	
			// Services
			$page_services = get_page_by_path('services');
			if($page_services){
				wp_update_nav_menu_item($cleaning_services_agent_menu_id, 0, array(
					'menu-item-title' => __('Services', 'cleaning-services-agent'),
					'menu-item-classes' => 'services',
					'menu-item-url' => get_permalink($page_services),
					'menu-item-status' => 'publish'
				));
			}
	
			// Contact
			$page_contact = get_page_by_path('contact');
			if($page_contact){
				wp_update_nav_menu_item($cleaning_services_agent_menu_id, 0, array(
					'menu-item-title' => __('Contact', 'cleaning-services-agent'),
					'menu-item-classes' => 'contact',
					'menu-item-url' => get_permalink($page_contact),
					'menu-item-status' => 'publish'
				));
			}
	
			// News (Blog Page)
			$blog_page_id = get_option('page_for_posts');
			if ($blog_page_id) {
				wp_update_nav_menu_item($cleaning_services_agent_menu_id, 0, array(
					'menu-item-title' => __('Blogs', 'cleaning-services-agent'),
					'menu-item-classes' => 'blogs',
					'menu-item-url' => get_permalink($blog_page_id),
					'menu-item-status' => 'publish'
				));
			}
	
			// Assign menu to location if not set
			if (!has_nav_menu($cleaning_services_agent_bpmenulocation)) {
				$locations = get_theme_mod('nav_menu_locations');
				$locations[$cleaning_services_agent_bpmenulocation] = $cleaning_services_agent_menu_id;
				set_theme_mod('nav_menu_locations', $locations);
			}
		}
	}

	public function cleaning_services_agent_customizer_socail_nav_menu() {
		// ------- Create Social Menu --------
	$cleaning_services_agent_menuname = $cleaning_services_agent_themename . 'Social Menu';
	    $cleaning_services_agent_bpmenulocation = 'social';
	    $cleaning_services_agent_menu_exists = wp_get_nav_menu_object( $cleaning_services_agent_menuname );

	    if( !$cleaning_services_agent_menu_exists){
            $cleaning_services_agent_menu_id = wp_create_nav_menu($cleaning_services_agent_menuname);

            wp_update_nav_menu_item( $cleaning_services_agent_menu_id, 0, array(
                'menu-item-title'  => __( 'Facebook', 'cleaning-services-agent' ),
                'menu-item-url'    => 'https://www.facebook.com',
               'menu-item-status' => 'publish',
            ) );

            wp_update_nav_menu_item( $cleaning_services_agent_menu_id, 0, array(
                'menu-item-title'  => __( 'Twitter', 'cleaning-services-agent' ),
                'menu-item-url'    => 'https://www.twitter.com',
                'menu-item-status' => 'publish',
            ) );
			
			wp_update_nav_menu_item( $cleaning_services_agent_menu_id, 0, array(
				'menu-item-title'  => __( 'LinkedIn', 'cleaning-services-agent' ),
				'menu-item-url'    => 'https://www.linkedin.com',
				'menu-item-status' => 'publish',
			) );

            wp_update_nav_menu_item( $cleaning_services_agent_menu_id, 0, array(
                'menu-item-title'  => __( 'Instagram', 'cleaning-services-agent' ),
               'menu-item-url'    => 'https://www.instagram.com',
                'menu-item-status' => 'publish',
            ) );

            wp_update_nav_menu_item( $cleaning_services_agent_menu_id, 0, array(
                'menu-item-title'  => __( 'Youtube', 'cleaning-services-agent' ),
                'menu-item-url'    => 'https://www.youtube.com',
                'menu-item-status' => 'publish',
            ) );
           
            if( !has_nav_menu( $cleaning_services_agent_bpmenulocation ) ){
                $locations = get_theme_mod('nav_menu_locations');
                $locations[$cleaning_services_agent_bpmenulocation] = $cleaning_services_agent_menu_id;
                set_theme_mod( 'nav_menu_locations', $locations );
	        }
	    }
	}


	//                      ------------- /*** Imports demo content ***/ -----------------                    //

	public function setup_widgets() {

		// Create a front page and assign the template
		$cleaning_services_agent_home_title = 'Home';
		$cleaning_services_agent_home_check = get_page_by_path('home');
		if (!$cleaning_services_agent_home_check) {
			$cleaning_services_agent_home = array(
				'post_type'    => 'page',
				'post_title'   => $cleaning_services_agent_home_title,
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'home' // Unique slug for the home page
			);
			$cleaning_services_agent_home_id = wp_insert_post($cleaning_services_agent_home);

			// Set the static front page
			if (!is_wp_error($cleaning_services_agent_home_id)) {
				update_option('page_on_front', $cleaning_services_agent_home_id);
				update_option('show_on_front', 'page');
			}
		}

		// Create a posts page and assign the template
		$cleaning_services_agent_blog_title = 'Blogs';
		$cleaning_services_agent_blog_check = get_page_by_path('blog');
		if (!$cleaning_services_agent_blog_check) {
			$cleaning_services_agent_blog = array(
				'post_type'    => 'page',
				'post_title'   => $cleaning_services_agent_blog_title,
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'blog' // Unique slug for the blog page
			);
			$cleaning_services_agent_blog_id = wp_insert_post($cleaning_services_agent_blog);

			// Set the posts page
			if (!is_wp_error($cleaning_services_agent_blog_id)) {
				update_option('page_for_posts', $cleaning_services_agent_blog_id);
			}
		}

		// Create a Services page and assign the template
		$cleaning_services_agent_services_title = 'Services';
		$cleaning_services_agent_services_check = get_page_by_path('services');
		if (!$cleaning_services_agent_services_check) {
			$cleaning_services_agent_services = array(
				'post_type'    => 'page',
				'post_title'   => $cleaning_services_agent_services_title,
				'post_content' => '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960 with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>',
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'services' // Unique slug for the Services page
			);
			wp_insert_post($cleaning_services_agent_services);
		}

		// Create a Review page and assign the template
		$cleaning_services_agent_review_title = 'Review';
		$cleaning_services_agent_review_check = get_page_by_path('review');
		if (!$cleaning_services_agent_review_check) {
			$cleaning_services_agent_review = array(
				'post_type'    => 'page',
				'post_title'   => $cleaning_services_agent_review_title,
				'post_content' => '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960 with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>',
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'review' // Unique slug for the Review page
			);
			wp_insert_post($cleaning_services_agent_review);
		}

		// Create a Contact page and assign the template
		$cleaning_services_agent_contact_title = 'Contact';
		$cleaning_services_agent_contact_check = get_page_by_path('contact');
		if (!$cleaning_services_agent_contact_check) {
			$cleaning_services_agent_contact = array(
				'post_type'    => 'page',
				'post_title'   => $cleaning_services_agent_contact_title,
				'post_content' => '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960 with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>',
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'contact' // Unique slug for the Contact page
			);
			wp_insert_post($cleaning_services_agent_contact);
		}

		/*----------------------------------------- Header Button --------------------------------------------------*/

			set_theme_mod( 'cleaning_services_agent_top_header_phone_number','+91 1234 567 789');
			set_theme_mod( 'cleaning_services_agent_top_header_email_id','info@example.com');

			set_theme_mod( 'cleaning_services_agent_header_button_label_','Get A Quote');
			set_theme_mod( 'cleaning_services_agent_banner_button_link_','#');
			

		// ------------------------------------------ Blogs for Sections --------------------------------------

			// Create categories if not already created
			$cleaning_services_agent_category_slider = wp_create_category('Slider');
			$cleaning_services_agent_category_services = wp_create_category('Services');

			// Array of categories to assign to each set of posts
			$cleaning_services_agent_categories = array($cleaning_services_agent_category_slider, $cleaning_services_agent_category_services);

			// Array of image URLs for the "Services" category
			$services_images = array(
				get_template_directory_uri() . '/resource/img/services1.png',
				get_template_directory_uri() . '/resource/img/services2.png',
				get_template_directory_uri() . '/resource/img/services3.png'
			);

			// Loop to create posts
			for ($i = 1; $i <= 6; $i++) { // 6 posts (3 for Slider, 3 for Blog)
				$titles = [
					'A Cleaner Home, A Happier You',
					'A Tidier Home, A Brighter You',
					'A Neat Home, A Joyful You',
					'Modified Roofing',
					'Modified Roofing',
					'Modified Roofing'
				];
			
				$content = 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard.';
			
				// Determine category index (first 3 posts for Slider, next 4 for Blog)
				$category_index = ($i <= 3) ? 0 : 1;
			
				// Assign post title
				$post_title = $titles[$i - 1];
			
				// Create post object
				$my_post = [
					'post_title'    => wp_strip_all_tags($post_title),
					'post_content'  => $content,
					'post_status'   => 'publish',
					'post_type'     => 'post',
					'post_category' => [$cleaning_services_agent_categories[$category_index]],
				];
			
				// Insert post
				$post_id = wp_insert_post($my_post);
			
				// Determine the category and set image URLs based on category
					if ($category_index === 0) { // Banner category
						$banner_index = $i % 3 + 1; // Cycles through 1, 2, 3
							$cleaning_services_agent_image_url = get_template_directory_uri() . "/resource/img/slider{$banner_index}.png";
							$cleaning_services_agent_image_name = "slider{$banner_index}.png";
											} else { // Services category
						// Use different images for each post in Services category
						$service_image_index = $i - 4; // Get the correct index for the Services images array (4, 5, 6, 7 corresponds to 0, 1, 2, 3)
						$cleaning_services_agent_image_url = $services_images[$service_image_index];
						$cleaning_services_agent_image_name = basename($cleaning_services_agent_image_url);
					}

					$cleaning_services_agent_upload_dir = wp_upload_dir();
					$cleaning_services_agent_image_data = file_get_contents($cleaning_services_agent_image_url);
					$cleaning_services_agent_unique_file_name = wp_unique_filename($cleaning_services_agent_upload_dir['path'], $cleaning_services_agent_image_name);
					$filename = basename($cleaning_services_agent_unique_file_name);
			
				if (wp_mkdir_p($cleaning_services_agent_upload_dir['path'])) {
					$file = $cleaning_services_agent_upload_dir['path'] . '/' . $filename;
				} else {
					$file = $cleaning_services_agent_upload_dir['basedir'] . '/' . $filename;
				}
			
				if (!function_exists('WP_Filesystem')) {
					require_once ABSPATH . 'wp-admin/includes/file.php';
				}
			
				WP_Filesystem();
				global $wp_filesystem;
			
				if (!$wp_filesystem->put_contents($file, $cleaning_services_agent_image_data, FS_CHMOD_FILE)) {
					wp_die('Error saving file!');
				}
			
				$wp_filetype = wp_check_filetype($filename, null);
				$attachment = [
					'post_mime_type' => $wp_filetype['type'],
					'post_title'     => sanitize_file_name($filename),
					'post_content'   => '',
					'post_status'    => 'inherit'
				];
			
				$cleaning_services_agent_attach_id = wp_insert_attachment($attachment, $file, $post_id);
			
				require_once ABSPATH . 'wp-admin/includes/image.php';
			
				$cleaning_services_agent_attach_data = wp_generate_attachment_metadata($cleaning_services_agent_attach_id, $file);
				wp_update_attachment_metadata($cleaning_services_agent_attach_id, $cleaning_services_agent_attach_data);
				set_post_thumbnail($post_id, $cleaning_services_agent_attach_id);
			}					
		
		// ---------------------------------------- Slider --------------------------------------------------- //

			for($i=1; $i<=3; $i++) {
				set_theme_mod('cleaning_services_agent_banner_button_label_'.$i,'Learn More');
				set_theme_mod('cleaning_services_agent_banner_button_link_'.$i,'');
			}
			
			set_theme_mod( 'cleaning_services_agent_about_left_image',get_template_directory_uri().'/resource/img/team.png');
			set_theme_mod('cleaning_services_agent_team_heading','Trusted by 150K+ people around the globe');
			set_theme_mod('cleaning_services_agent_enable_banner_section',true);


		// ---------------------------------------- Services --------------------------------------------------- //

			set_theme_mod('cleaning_services_agent_enable_service_section',true);
			set_theme_mod('cleaning_services_agent_services_short_heading','OUR SERVICE');
			set_theme_mod('cleaning_services_agent_services_heading','Professional Cleaning, Exceptional Results');
			set_theme_mod('cleaning_services_agent_services_content','Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.');

			$icons = array('fas fa-heart','fas fa-stethoscope','fas fa-user-md','fas fa-syringe');
			for ($x=1; $x <=4 ; $x++) {
				set_theme_mod('cleaning_services_agent_service_icon' . $x,$icons[$x-1]);
			}

		$this->cleaning_services_agent_customizer_primary_menu();
		$this->cleaning_services_agent_customizer_socail_nav_menu();
		update_option('is-demo-imported', true);
	}
}